/* =====================================================
   BLOG PAGE
===================================================== */

.article-hero{
    padding-top:160px;
}

.article-container{
    width:100%;
    max-width:1300px;
    margin:0 auto;
}

.article-title{
    text-align:center;
    margin-bottom:50px;  
}

.article-title h1{

    font-family:"Cormorant Garamond",serif; 
    font-size:56px;
    line-height:1.15;
    color:#0A2540;
    font-weight:700;
    max-width:1100px;
    margin:auto;

} 

/* Remove subtitle */

.article-title p{

    display:none;

}

/* =====================================================
HERO IMAGE
===================================================== */

.article-image{

    width:78%;
    margin:0 auto;

}

.article-image img{

    width:100%;
    display:block;
    border-radius:18px;
    box-shadow:0 18px 45px rgba(0,0,0,.12);

}

/* =====================================================
BLOG GRID
===================================================== */

.article-main{

    padding:80px 20px 100px;

}

.article-grid{
    display:grid;
    grid-template-columns:300px 1fr;
    gap:40px;
   
}


/* =====================================================
TABLE OF CONTENTS
===================================================== */

.toc{
    position: sticky;
    top: 120px;
    align-self: start;

    border:1px solid #dbe6f5;
    border-radius:18px;
    padding:28px;
    background:#fff;
    box-shadow:0 8px 30px rgba(0,0,0,.06);
}

.toc h3{

    font-size:26px;

    color:#0A2540;

    margin-bottom:25px;

    font-family:"Cormorant Garamond",serif;

}

.toc ul{

    list-style:none;

}

.toc li{

    margin-bottom:16px;

}

.toc a{

    color:#333;

    text-decoration:none;

    line-height:1.5;

    font-size:15px;

    transition:.3s;

}

.toc a:hover{

    color:#1E63E9;

    padding-left:6px;

}

/* =====================================================
ARTICLE
===================================================== */

.article-content{

    max-width:1000px;

}

.article-content p a,
.article-content li a{
    color:#0056d6;
    font-weight:600;
    text-decoration:none;
    transition:.3s;
}

.article-content p a:hover,
.article-content li a:hover{
    color:#f5b800;
    text-decoration:underline;
}

.article-section{

    margin-bottom:45px;

}

.article-section h2{

    font-family:"Cormorant Garamond",serif;

    font-size:42px;

    color:#0A2540;

    margin-bottom:18px;

}

.article-section h3{

    font-size:24px;

    margin:35px 0 20px;

    color:#0A2540;

}

.article-section h4{

    font-size:19px;

    margin-bottom:12px;

   color:#000;
}

.article-section p{

    font-size:18px;

    color:#4b5563;

    line-height:1.9;

    margin-bottom:14px;

}

.article-content section{
    margin:0;
    padding:0;
}

/* =====================================================
HIGHLIGHT BOX
===================================================== */

.blog-highlight{

    background:#f1f6ff;

    border-left:6px solid #1E63E9;
  
    padding:18px 22px;

    border-radius:12px;

    margin:35px 0;

}

.blog-highlight p{
    margin:0;
    color:#0A2540;
    font-weight:700;
    font-size:18px;
    line-height:1.6;
}

.blog-note{
    margin-top:20px;
    margin-bottom:40px;
    font-size:22px;
    color:#0A2540;
    line-height:1.7;
}

/* =====================================================
LIST
===================================================== */


.article-section ul{

    margin:28px 0 35px;
    padding-left:36px;

}

.article-section ul li{

    font-size:18px;
    line-height:1.9;
    color:#4B5563;

    margin-bottom:24px;

}

.article-section ul li:last-child{

    margin-bottom:0;

}

.article-section ul li strong{

    color:#0A2540;
    font-weight:700;

}

/* =====================================================
NUMBERED LISTS
===================================================== */

.article-section ol{

    margin:35px 0;
    padding-left:38px;

}

.article-section ol li{

    margin-bottom:26px;
    padding-left:12px;

    font-size:18px;
    line-height:1.9;
    color:#4B5563;

}

.article-section ol li strong{

    color:#0A2540;
    font-weight:700;

}

.article-section ol li:last-child{

    margin-bottom:0;

}
/* =====================================================
EXAMPLE BOX
===================================================== */

.blog-example{

    margin-top:20px;

     margin-bottom:20px; 

    background:#fafcff;

    border:1px solid #dfe9f7;

    border-radius:16px;

    padding:28px;

}

/* =====================================================
RESPONSIVE
===================================================== */

@media(max-width:1100px){

.article-grid{

    grid-template-columns:1fr;

}

.toc{

    position:relative;

    top:0;

}

.article-content{

    max-width:900px;

    width:100%;

}

.article-image{

    width:100%;

}

.article-title h1{

    font-size:46px;

}

}

@media(max-width:768px){

.article-title h1{

    font-size:34px;

}

.article-section h2{

    font-size:30px;

}

.article-section p{

    font-size:16px;

}

.article-main{

    padding:50px 18px 80px;

}

}








/* =====================================================
COMPARISON TABLE
===================================================== */

.comparison-table{

    overflow:auto;
    margin:30px 0;

}

.comparison-table table{

    width:100%;
    border-collapse:collapse;

}

.comparison-table th{

    background:#1E63E9;
    color:#fff;
    padding:18px;

}

.comparison-table td{

    padding:18px;
    border:1px solid #e5e7eb;

}

.comparison-table tr:nth-child(even){

    background:#f8fbff;

}



/* ==========================================
   BLOG CONTENT IMAGE
========================================== */

.blog-image-full{
    width:100%;
    margin:40px 0;
}

.blog-image-full img{
    width:100%;
    display:block;
    border-radius:16px;
}


/* =====================================================
BLOG CTA
===================================================== */

.blog-cta{

    display:inline-block;

    margin:15px 0 15px;   /* Reduced top & bottom gap */

    font-size:22px;       /* Smaller */

    font-weight:700;

        color:#fff;      

    text-decoration:none;

    transition:all .3s ease;

    position:relative;

}



.blog-cta::after{

    content:"";

    position:absolute;

    left:0;

    bottom:-3px;

    width:100%;

    height:2px;

    background:#1E63E9;

    transition:.3s;

}

.blog-cta:hover{

        color:#fff;
     /* white */

    transform:translateX(5px);

}

.blog-cta:hover::after{

    background:#FFC83D; /* Yellow underline */

}

.article-section h2{

    margin-top:25px;
}

.growth-btn{
    display:inline-block;
    
    background:#1E63E9;
    color:#fff;
    padding:16px 32px;
    border-radius:50px;
    font-size:18px;
    font-weight:600;
    text-decoration:none;
    transition:all 0.3s ease;
     margin-top:25px;
    box-shadow:0 8px 20px rgba(30,99,233,.25);
}



.growth-btn:hover{
    background:#0A4FCF;
    transform:translateY(-2px);
    box-shadow:0 12px 28px rgba(30,99,233,.35);
}

.growth-btn-wrapper{
    text-align:center;
    margin:40px 0;
}

/* =====================================================
    FAQ
===================================================== */

.blog-faq-container{

    margin-top:40px; 

}

.blog-faq-item{

    background:#fff;

    border:1px solid #dbe6f5;

    border-radius:22px;

    margin-bottom:18px;

    overflow:hidden;

    box-shadow:0 8px 24px rgba(15,23,42,.05);

    transition:all .3s ease;

}

.blog-faq-item:hover{

    transform:translateY(-2px);

    box-shadow:0 14px 35px rgba(15,23,42,.08);

}

.blog-faq-question{

    width:100%;
    display:flex;
    justify-content:space-between;
    align-items:center;

    padding:18px 28px;      /* was 22px */

    border:none;
    background:#fff;
    cursor:pointer;
    text-align:left;

    font-size:18px;         /* was 22px */

    font-weight:700;
    color:#123D8D;

    transition:.3s;
}

.blog-faq-question:hover{

    color:#1E63E9;

}

.blog-faq-question span:first-child{

    flex:1;

    padding-right:20px;

    line-height:1.35;

}

.blog-faq-icon{

    font-size:26px;

    font-weight:600;

    color:#FFC83D;

    min-width:40px;

    text-align:center;

    transition:.3s;

}

.blog-faq-answer{

    display:none;
    padding:0 28px 18px;

}
.blog-faq-answer p{

    font-size:16px;
    line-height:1.8;
}

.blog-faq-item.active .blog-faq-answer{

    display:block;

}

.blog-faq-item.active .blog-faq-question{

    padding-bottom:16px;

}

/* Mobile */

@media(max-width:768px){

.blog-faq-question{

    padding:20px;

    font-size:20px;

}

.blog-faq-answer{

    padding:0 20px 20px;

}

.blog-faq-answer p{

    font-size:16px;

}

.blog-faq-icon{

    font-size:32px;

}

}



/* =====================================================
   BLOG FOOTER
===================================================== */

.site-footer{

    background:#0A3A8A;
    padding:30px 20px;      /* was 28px */
    margin-top:80px;

}

.footer-container{

    max-width:1300px;
    margin:0 auto;
    display:flex;
    justify-content:center;
    align-items:center;
    text-align:center;

}

.footer-right{

    color:#fff;
    font-size:20px;         /* Increase this until it matches */
    font-weight:500;
    line-height:1.8;

}

.footer-right a{

    color:#fff;
    text-decoration:none;
    font-size:20px;         /* Same size as text */
    transition:.3s;

}

.footer-right a:hover{

    color:#FFC83D;

}


/* ==========================================
   MOBILE
========================================== */

@media screen and (max-width:768px){

/* Header */

.navbar{
    flex-direction:column;
    justify-content:center;
    align-items:center;
    padding:18px;
}

.logo img{
    height:80px !important;
}

nav ul{
    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    gap:14px;
}

nav ul li a{
    font-size:15px;
}

.expert-tab{
    padding:10px 18px;
}

/* Hero */

.article-hero{
    padding-top:120px;
}

.article-title h1{
    font-size:38px;
    line-height:1.25;
}

.article-image{
    width:100%;
}

/* Grid */

.article-grid{
    display:block;
}

/* Hide Table of Contents */

.article-sidebar{
    display:none;
}

/* Content */

.article-content{
    width:100%;
}

.article-section h2{
    font-size:34px;
}

.article-section h3{
    font-size:25px;
}

.article-section p,
.blog-list li{
    font-size:17px;
}

/* Example Box */

.blog-example{
    padding:20px;
}

/* FAQ */

.blog-faq-question{
    font-size:18px;
    padding:18px;
}

.blog-faq-answer{
    padding:0 18px 18px;
}

.blog-faq-answer p{
    font-size:16px;
}

/* Footer */

.footer-right,
.footer-right a{
    font-size:15px;
}

}